Qt 5.11 | Qt Multimedia | C++ Classes | QVideoWidgetControl

Qt 5.11.3 Reference Documentation

# QVideoWidgetControl Class

The QVideoWidgetControl class provides a media control which implements a video widget. More...

Header: | #include <QVideoWidgetControl>
qmake: | QT += multimediawidgets
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QVideoWidgetControl()
virtual Qt::AspectRatioMode | aspectRatioMode() const = 0
virtual int | brightness() const = 0
virtual int | contrast() const = 0
virtual int | hue() const = 0
virtual bool | isFullScreen() const = 0
virtual int | saturation() const = 0
virtual void | setAspectRatioMode(Qt::AspectRatioMode mode) = 0
virtual void | setBrightness(int brightness) = 0
virtual void | setContrast(int contrast) = 0
virtual void | setFullScreen(bool fullScreen) = 0
virtual void | setHue(int hue) = 0
virtual void | setSaturation(int saturation) = 0
virtual QWidget * | videoWidget() = 0

## Signals

void | brightnessChanged(int brightness)
void | contrastChanged(int contrast)
void | fullScreenChanged(bool fullScreen)
void | hueChanged(int hue)
void | saturationChanged(int saturation)

## Protected Functions

| QVideoWidgetControl(QObject *parent = nullptr)

## Macros

| QVideoWidgetControl_iid

## Detailed Description

The QVideoWidgetControl class provides a media control which implements a video widget.

The videoWidget() property of QVideoWidgetControl provides a pointer to a video widget implemented by the control's media service. This widget is owned by the media service and so care should be taken not to delete it.

      QVideoWidgetControl *widgetControl = mediaService->requestControl<QVideoWidgetControl *>();
      layout->addWidget(widgetControl->videoWidget());

QVideoWidgetControl is one of number of possible video output controls.

The interface name of QVideoWidgetControl is `org.qt-project.qt.videowidgetcontrol/5.0` as defined in QVideoWidgetControl_iid.

See also QMediaService::requestControl() and QVideoWidget.

## Member Function Documentation

### `[protected]` QVideoWidgetControl::QVideoWidgetControl(QObject *parent = nullptr)

Constructs a new video widget control with the given parent.

### `[virtual]` QVideoWidgetControl::~QVideoWidgetControl()

Destroys a video widget control.

### `[pure virtual]` Qt::AspectRatioMode QVideoWidgetControl::aspectRatioMode() const

See also setAspectRatioMode().

### `[pure virtual]` int QVideoWidgetControl::brightness() const

See also setBrightness().

### `[signal]` void QVideoWidgetControl::brightnessChanged(int brightness)

### `[pure virtual]` int QVideoWidgetControl::contrast() const

See also setContrast().

### `[signal]` void QVideoWidgetControl::contrastChanged(int contrast)

### `[signal]` void QVideoWidgetControl::fullScreenChanged(bool fullScreen)

### `[pure virtual]` int QVideoWidgetControl::hue() const

See also setHue().

### `[signal]` void QVideoWidgetControl::hueChanged(int hue)

### `[pure virtual]` bool QVideoWidgetControl::isFullScreen() const

### `[pure virtual]` int QVideoWidgetControl::saturation() const

See also setSaturation().

### `[signal]` void QVideoWidgetControl::saturationChanged(int saturation)

### `[pure virtual]` void QVideoWidgetControl::setAspectRatioMode(Qt::AspectRatioMode mode)

See also aspectRatioMode().

### `[pure virtual]` void QVideoWidgetControl::setBrightness(int brightness)

See also brightness().

### `[pure virtual]` void QVideoWidgetControl::setContrast(int contrast)

See also contrast().

### `[pure virtual]` void QVideoWidgetControl::setFullScreen(bool fullScreen)

See also isFullScreen().

### `[pure virtual]` void QVideoWidgetControl::setHue(int hue)

See also hue().

### `[pure virtual]` void QVideoWidgetControl::setSaturation(int saturation)

See also saturation().

### `[pure virtual]` QWidget *QVideoWidgetControl::videoWidget()

## Macro Documentation

### QVideoWidgetControl_iid

`org.qt-project.qt.videowidgetcontrol/5.0`

Defines the interface name of the QVideoWidgetControl class.